{"openapi":"3.0.4","info":{"title":"Check whether a DateTime is a \"Business DateTime\"","description":"A Business DateTime is defined as a point in time that:\r\n    * Does not represent a day that overlaps with the calendars WeekendMask\r\n    * If the calendar is a \"Holiday Calendar\" Does not overlap with any dates in the calendar\r\n    * If the calendar is a \"TradingHours Calendar\" Does overlap with a date in the calendar\r\n            \r\nAll dates specified must be UTC and the upper bound of a calendar is not inclusive \r\ne.g. From: 2020-12-25-00-00-00 \r\n     To: 2020-12-26-00-00-00\r\nIsBusinessDay(2020-12-26-00-00-00) == false","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/calendars/businessday/{scope}/{code}":{"get":{"tags":["Calendars"],"summary":"Check whether a DateTime is a \"Business DateTime\"","description":"A Business DateTime is defined as a point in time that:\r\n    * Does not represent a day that overlaps with the calendars WeekendMask\r\n    * If the calendar is a \"Holiday Calendar\" Does not overlap with any dates in the calendar\r\n    * If the calendar is a \"TradingHours Calendar\" Does overlap with a date in the calendar\r\n            \r\nAll dates specified must be UTC and the upper bound of a calendar is not inclusive \r\ne.g. From: 2020-12-25-00-00-00 \r\n     To: 2020-12-26-00-00-00\r\nIsBusinessDay(2020-12-26-00-00-00) == false","operationId":"IsBusinessDateTime","parameters":[{"name":"dateTime","in":"query","description":"DateTime to check - This DateTime must be UTC","required":true,"schema":{"type":"string","format":"date-time"},"x-nullable":true},{"name":"scope","in":"path","description":"Scope of the calendar","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"code","in":"path","description":"Code of the calendar","required":true,"schema":{"maxLength":64,"minLength":1,"type":"string"}},{"name":"asAt","in":"query","description":"AsAt for the request","schema":{"type":"string","format":"date-time"},"x-nullable":true}],"responses":{"200":{"description":"Whether or not the requested DateTime is a BusinessDay or not","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/IsBusinessDayResponse"},"example":{"requestedDateTime":"2020-02-12T12:00:00.0000000+00:00","isBusinessDay":true}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/IsBusinessDayResponse"},"example":{"requestedDateTime":"2020-02-12T12:00:00.0000000+00:00","isBusinessDay":true}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/IsBusinessDayResponse"},"example":{"requestedDateTime":"2020-02-12T12:00:00.0000000+00:00","isBusinessDay":true}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"EarlyAccess"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}